# List of invoices

Returns the list of invoices with basic information. 
The list of invoices supports Paging


The code (code) is the invoice identifier. Although this is usually a number, 
it is necessary to take into account that this might also include
letters, a dash, etc. Filtering uses string comparison with >=, <= operators.

Endpoint: GET /api/invoices
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `isValid` (boolean)
    filtering according to document validity
    Example: true

  - `proformaInvoiceCode` (string)
    filtering according to number of proforma invoice
    Example: "2017000017"

  - `creationTimeFrom` (string)
    filtering according to date of invoice issue
    Example: "2017-02-28T17:04:47+0100"

  - `creationTimeTo` (string)
    filtering according to date of invoice issue
    Example: "2028-02-28T17:04:47+0100"

  - `taxDateFrom` (string)
    filtering according to tax date of invoice
    Example: "2017-02-28T17:04:47+0100"

  - `orderCode` (string)
    filtering according to order code of invoice
    Example: "2018000012"

  - `codeFrom` (string)
    filtering according to code of invoice
    Example: "2018000001"

  - `codeTo` (string)
    filtering according to code of invoice
    Example: "2018000012"

  - `varSymbol` (string)
    filtering according to variable symbol of invoice
    Example: "666"

  - `itemsPerPage` (integer)
    Returned items per page. Default value is 20. Max value is 1000.
    Example: 888

  - `page` (integer)
    Page number to return. Default value is 1.
    Example: 3

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.invoices` (array, required)

  - `data.invoices.code` (string, required)
    variant code (product)

  - `data.invoices.varSymbol` (number,null, required)
    variable symbol

  - `data.invoices.isValid` (boolean, required)
    is the invoice valid?

  - `data.invoices.proformaInvoiceCodes` (array, required)
    List of linked proforma invoices

  - `data.invoices.orderCode` (string,null, required)
    purchase order number. Caution! This does not have to be just a number, it can also contain letters, a dash, etc.

  - `data.invoices.creationTime` (string,null, required)
    date of issue, in ISO 8601 format

  - `data.invoices.billCompany` (string,null, required)
    company name

  - `data.invoices.billFullName` (string,null, required)
    full name

  - `data.invoices.price` (object, required)

  - `data.invoices.price.vat` (string,null, required)
    VAT value, two decimal places

  - `data.invoices.price.toPay` (string,null, required)
    total price to pay

  - `data.invoices.price.currencyCode` (string, required)
    Currency code. List of available currencies within the e-shop can be found in endpoint GET /api/eshop.

  - `data.invoices.price.withoutVat` (string,null, required)
    price excluding tax

  - `data.invoices.price.withVat` (string,null, required)
    price including tax

  - `data.invoices.price.exchangeRate` (string, required)
    currency rate of the receipt for the default currency of the shop. This value is saved together with the price and reflects the historical value valid in the instant of the order creation. If the shop changes the default currency, the value still refers to the original currency!

  - `data.invoices.price.invoicingExchangeRate` (string)
    currency rate of the receipt for the default currency of the shop. This value is saved together with the price and reflects the historical value valid in the instant of the order creation. If the shop changes the default currency, the value still refers to the original currency!

  - `data.invoices.price.partialPaymentAmount` (string,null)
    can be value expressed in percents or as exact money value expression (with up to two decimal places) - depends on partialPaymentType value

  - `data.invoices.price.partialPaymentType` (string)
    'percents' = partial payment as percentage from total price | 'absolute' = exact expression of partial payment in money

  - `data.invoices.changeTime` (string,null)
    date of change, in ISO 8601 format

  - `data.invoices.dueDate` (string,null)
    due date in ISO 8601 format

  - `data.invoices.taxDate` (string,null)
    taxation date in ISO 8601 format

  - `data.paginator` (object, required)

  - `data.paginator.totalCount` (integer, required)
    total number of available records

  - `data.paginator.page` (integer, required)
    current page

  - `data.paginator.pageCount` (integer, required)
    total available of pages

  - `data.paginator.itemsOnPage` (integer, required)
    number of currently returned records

  - `data.paginator.itemsPerPage` (integer, required)
    required number of records per page

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced


